libglom-1.20: Glom::PrintLayout Class Reference

libglom-1.20 1.20.7

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes
Glom::PrintLayout Class Reference
Inheritance diagram for Glom::PrintLayout:
[legend]
Collaboration diagram for Glom::PrintLayout:
[legend]

List of all members.

## Public Types
typedef std::vector< double > | type_vec_doubles
## Public Member Functions
| PrintLayout ()
| PrintLayout (const PrintLayout& src)
PrintLayout& | operator= (const PrintLayout& src)
bool | get_show_table_title () const
void | set_show_table_title (bool show_table_title=true)
void | set_page_setup (const std::string& page_setup)
| Sets the Page Setup as it would be created by a Gtk::PageSetup.
std::string | get_page_setup () const
| Returns the Page Setup as it would be created by a Gtk::PageSetup.
void | set_page_count (guint count)
guint | get_page_count () const
bool | get_show_grid () const
void | set_show_grid (bool show_grid=true)
bool | get_show_rules () const
void | set_show_rules (bool show_rules=true)
bool | get_show_outlines () const
void | set_show_outlines (bool show_outlines=true)
type_vec_doubles | get_horizontal_rules () const
| Get the y positions of the horizontal rule lines.
void | set_horizontal_rules (const type_vec_doubles& rules)
type_vec_doubles | get_vertical_rules () const
| Get the x positions of the vertical rule lines.
void | set_vertical_rules (const type_vec_doubles& rules)
## Public Attributes
sharedptr< LayoutGroup > | m_layout_group

## Member Typedef Documentation

typedef std::vector<double> Glom::PrintLayout::type_vec_doubles

## Constructor & Destructor Documentation

Glom::PrintLayout::PrintLayout | ( |  | ) |

Glom::PrintLayout::PrintLayout | ( | const PrintLayout& | src | ) |

## Member Function Documentation

type_vec_doubles Glom::PrintLayout::get_horizontal_rules | ( |  | ) | const

Get the y positions of the horizontal rule lines.

guint Glom::PrintLayout::get_page_count | ( |  | ) | const

std::string Glom::PrintLayout::get_page_setup | ( |  | ) | const

Returns the Page Setup as it would be created by a Gtk::PageSetup.

bool Glom::PrintLayout::get_show_grid | ( |  | ) | const

bool Glom::PrintLayout::get_show_outlines | ( |  | ) | const

bool Glom::PrintLayout::get_show_rules | ( |  | ) | const

bool Glom::PrintLayout::get_show_table_title | ( |  | ) | const

type_vec_doubles Glom::PrintLayout::get_vertical_rules | ( |  | ) | const

Get the x positions of the vertical rule lines.

PrintLayout& Glom::PrintLayout::operator= | ( | const PrintLayout& | src | ) |

void Glom::PrintLayout::set_horizontal_rules | ( | const type_vec_doubles & | rules | ) |

void Glom::PrintLayout::set_page_count | ( | guint | count | ) |

void Glom::PrintLayout::set_page_setup | ( | const std::string & | page_setup | ) |

Sets the Page Setup as it would be created by a Gtk::PageSetup.

void Glom::PrintLayout::set_show_grid | ( | bool | show_grid = `true` | ) |

void Glom::PrintLayout::set_show_outlines | ( | bool | show_outlines = `true` | ) |

void Glom::PrintLayout::set_show_rules | ( | bool | show_rules = `true` | ) |

void Glom::PrintLayout::set_show_table_title | ( | bool | show_table_title = `true` | ) |

void Glom::PrintLayout::set_vertical_rules | ( | const type_vec_doubles & | rules | ) |

## Member Data Documentation

sharedptr<LayoutGroup> Glom::PrintLayout::m_layout_group

The documentation for this class was generated from the following file:

- libglom/data_structure/print_layout.h